Subject: Re: bug#23265: 24.5; Docstring of dabbrev-select-buffers-function

From: Rolf Ade <[email-masked]>
Date: Tue, 30 Jul 2019 22:23:56 +0200

Rolf Ade <[email-masked]> writes:
> I see the following with GNU Emacs 24.5.1 as well as with GNU Emacs
> 25.0.92.
>
> Start emacs -Q
>
> C-h v dabbrev-select-buffers-function RET
>
> In the help buffer click at dabbrev--select-buffers (or move to point to
> it and RET): Instead of the documentation of dabbrev--select-buffers I
> get a wild error msg in the echo area:
>
> apply: Wrong number of arguments: #[(fun file) "ÃÄ!Å=.ÆÇ	!Á\".È	É#.Ê
> @!
> A'.
> Ab*.ËÌ!)" [file fun location require find-func C-source help-C-file-name indirect-function find-function-search-for-symbol nil ...] 4], 1
>
>
> (The real error msg contains NUL characters. I send them replaced with
> . (dot). The real error msg is easy enough to re-produce.

This error, I saw (and Eli confirmed) in 24.5.1 and 25.0.92  isn't
reproducable anymore in 26.2 and master (of today).